Subject: Re: pre-commit hook to reject whitespace

From: Neal Kreitzinger <[email-masked]>
Date: Fri, 03 Jun 2011 18:58:31 -0500

On 6/3/2011 6:31 PM, Neal Kreitzinger wrote:
> The reference manuals state in the hooks documentation that the pre-commit
> hook sample will reject whitespace only changes.  However, the
> pre-commit.sample in the 1.7.1 and 1.7.5.4 downloads do not appear to do
> this (I'm new to linux scripts).  The appear to only reject non-ascii
> filenames.  Does someone have a pre-commit hook example I can use to reject
> whitespace-only changes?  Thanks!
>
As someone kindly pointed out, the documentation actually says:
"The default 'pre-commit' hook, when enabled, catches introduction of 
lines with trailing whitespaces and aborts the commit when such a line 
is found."

I'm not seeing this functionality in the pre-commit.sample for 1.7.1 or 
1.7.5.4.

v/r,
neal